# fann_set_activation_steepness_hidden

(PECL fann >= 1.0.0)

fann_set_activation_steepness_hidden — Sets the steepness of the activation steepness for all neurons in the all hidden layers

### Description

fann_set_activation_steepness_hidden ( resource `$ann` , float `$activation_steepness` ) : bool

Sets the steepness of the activation steepness for all neurons in the all hidden layers.

### Parameters

`ann`

  Neural network resource.

`activation_steepness`

  The activation steepness.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_set_activation_steepness() - Sets the activation steepness for supplied neuron and layer number
- fann_set_activation_steepness_layer() - Sets the activation steepness for all of the neurons in the supplied layer number
- fann_set_activation_steepness_output() - Sets the steepness of the activation steepness in the output layer
- fann_get_activation_steepness() - Returns the activation steepness for supplied neuron and layer number
- fann_set_activation_function() - Sets the activation function for supplied neuron and layer